Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#63450 - [libinput] python-evdev dependency has been dropped upstream

Attached to Project: Arch Linux
Opened by grizzlyuser (grizzly) - Tuesday, 13 August 2019, 06:46 GMT
Last edited by Andreas Radke (AndyRTR) - Tuesday, 13 August 2019, 19:10 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Andreas Radke (AndyRTR)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
According to the release notes of libinput 1.14.0 [1]:
> Note to distribitors: the python-evdev dependency has been dropped, the
> tools that used it are now using python-libevdev instead.

Additional info:
* package version: 1.14.0-1
* config and/or log files etc.
* link to upstream bug report, if any

Steps to reproduce:
1. Open PKGBUILD for libinput.

Expected result: python-evdev is NOT listed in optdepends.
Actual result: python-evdev is listed in optdepends.

This issue is related to https://bugs.archlinux.org/task/62093

[1] https://lists.freedesktop.org/archives/wayland-devel/2019-August/040790.html
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Tuesday, 13 August 2019, 19:10 GMT
Reason for closing:  Fixed
Additional comments about closing:  1.14.0-2

Loading...